/*
 * This is a Groovy macro for RTextDoc that import some important info aabout current documen.
 *
 * Global variables include:
 *   - rtext:           The focused application window, an instance of
 *                      org.fife.rtext.RText.
 *   - textArea:        The active text area, an instance of
 *                      org.fife.rtext.RTextEditorPane.
 */
import javax.swing.*
import jehep.ui.SetEnv
import java.awt.Desktop 


// RTextDoc part
// Original file name without path
doc_name=SetEnv.getEditorName()
// file name with full path
doc_fullname=SetEnv.getEditorNameFull()
// File name without ".tex"
doc_basename =SetEnv.getEditorNameBase()
// directory of the file
doc_path=SetEnv.getEditorFilePath()
// RText
rtext=SetEnv.getRText()

if (SetEnv.isAsciiDoc()) {

  cmt="require 'asciidoctor'; \nAsciidoctor.render_file('"+SetEnv.getEditorNameFull()+"', :safe => :safe, :in_place => true, :backend => 'docbook5')";
  fileName=doc_path+File.separator+doc_basename+".xml";
  // show in RTextDoc, but not  Web! 
  SetEnv.runJRuby(cmt,fileName,true,false);


} else {
JOptionPane.showMessageDialog(rtext, "This is not AsciiDoc file. \n Such files have extensions: .ad, .asciidoc, .adoc", "Wrong file", JOptionPane.ERROR_MESSAGE)
}


