/*
 * This is a Groovy macro for RTextDoc that import some important info aabout current documen.
 *
 * Global variables include:
 *   - rtext:           The focused application window, an instance of
 *                      org.fife.rtext.RText.
 *   - textArea:        The active text area, an instance of
 *                      org.fife.rtext.RTextEditorPane.
 */
import javax.swing.*
import jehep.ui.SetEnv
import java.awt.Desktop 
import java.util.Vector

// RTextDoc part
// Original file name without path
doc_name=SetEnv.getEditorName()
// file name with full path
doc_fullname=SetEnv.getEditorNameFull()
// File name without ".tex"
doc_basename =SetEnv.getEditorNameBase()
// directory of the file
doc_path=SetEnv.getEditorFilePath()
// RText
rtext=SetEnv.getRText()
// separation
fsep=File.separator


if (SetEnv.isAsciiDoc()) {


  cmt="require 'asciidoctor'; \nAsciidoctor.render_file('"+SetEnv.getEditorNameFull()+"', :safe => :safe, :in_place => true, :backend => 'docbook')";
  fileName=doc_path+fsep+doc_basename+".html";
  xmlfile=doc_path+fsep+doc_basename+".xml";
  pdffile=doc_path+fsep+doc_basename+".pdf";
  xdocdir=SetEnv.getInstallDir()+fsep+"lib"+fsep+"fop"+fsep

  // xsltfile=xdocdir+"docbook"+fsep+"fo"+fsep+"docbook.xsl"; 
  // Vector xsltParams=null; // other input parameters 
  // simple PDF
  // SetEnv.runAsciidocToPDF(cmt,xmlfile, xsltfile, pdffile, xsltParams);



 
   // full advanced PDF 
   xsltfile=xdocdir+"docbook-xsl"+fsep+"fo-pdf.xsl";

   // optional parameters
   xsltParams = new Vector()
   xsltParams.add("highlight.xslthl.config");
   xsltParams.add(xdocdir+"docbook-xsl"+fsep+"xslthl-config.xml"); 
 
   xsltParams.add("admon.graphics.path");
   xsltParams.add(xdocdir+fsep+"docbook"+fsep+"images");

   xsltParams.add("callout.graphics.path");
   xsltParams.add(xdocdir+fsep+"docbook"+fsep+"images"+fsep+"callouts");

   SetEnv.runAsciidocToPDF(cmt,xmlfile, xsltfile, pdffile, xsltParams);

   // no need it 
  // jehep.ui.SetEnv.pdfViewer(pdffile)
} else {
JOptionPane.showMessageDialog(rtext, "This is not AsciiDoc file. \n Such files have extensions: .ad, .asciidoc, .adoc", "Wrong file", JOptionPane.ERROR_MESSAGE)
}


